package org.eclipse.birt.data.engine.impl;

import java.util.ArrayList;
import java.util.List;

import org.eclipse.birt.data.engine.api.ICloseListener;


public class DataEngineThreadLocal
{
	private static DataEngineThreadLocal local = new DataEngineThreadLocal( );
	
	public static DataEngineThreadLocal getInstance( )
	{
		return local;
	}
	
	private ThreadLocal<List<ICloseListener>> closeHolder = new ThreadLocal<List<ICloseListener>>()
	{
		protected List<ICloseListener> initialValue()
		{
			return new ArrayList<ICloseListener>( );
		}
	};
	
	public List<ICloseListener> getCloseListener( )
	{
		return  closeHolder.get( );
	}
	
	public void removeCloseListener( )
	{
		closeHolder.remove( );
	}
	
}
